## org.apache.lucene.analysis.ja.tokenattributes
Interface PartOfSpeechAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  PartOfSpeechAttributeImpl

    public interface PartOfSpeechAttribute

extends org.apache.lucene.util.Attribute

Attribute for `Token.getPartOfSpeech()`.

Method Summary
`String` `getPartOfSpeech()`
`void` `setToken(Token token)`

Method Detail

### getPartOfSpeech

    String getPartOfSpeech()

### setToken

    void setToken(Token token)